Package org.eclipse.e4.ui.model.application.ui.basic

# Interface MTrimBar

All Superinterfaces:
  `MApplicationElement`, `MElementContainer<MTrimElement>`, `MGenericTrimContainer<MTrimElement>`, `MLocalizable`, `MUIElement`

public interface MTrimBar extends MGenericTrimContainer<MTrimElement>
A representation of the model object 'Trim Bar'.

This is a concrete class representing the trim along a Window's edge.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Pending Cleanup`

## Method Summary

Modifier and Type
Method
Description
`List<MTrimElement>`
`getPendingCleanup()`
Returns the value of the 'Pending Cleanup' reference list.

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MElementContainer

`getChildren, getSelectedElement, setSelectedElement`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MGenericTrimContainer

`getSide, setSide`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

## Method Details

### getPendingCleanup

List<MTrimElement> getPendingCleanup()
Returns the value of the 'Pending Cleanup' reference list. The list contents are of type `MTrimElement`.

This is for internal use...

Returns:
  the value of the 'Pending Cleanup' reference list.
Restriction: